<?php

require('../config.php');

/* Process the OAuth server interactions */
if (($success = $client->Initialize())) {

    $success = $client->Process();

    $success = $client->CallAPI(
        $client->host . '/services/restapi/json/Account/create',
        'POST', array(
        'name' => $_POST['companyName'],
        'fullName' => $_POST['companyName'],
        'industryId' => $_POST['industry'],
        'relationshipTypeId' => $_POST['relationshipType'],
        'status' => 'POTENTIAL',
    ), array('FailOnAccessError' => true), $result);

    if (!$success) {
        echo HtmlSpecialChars($client->error);
    }
    if (!$result->id) {
        echo "account request completed with errors  : ";
        if ($result->errors) {
            foreach ($result->errors as $error) {
                echo trim($error->fieldName) . " : " . trim($error->message);
            }
        } else {
            echo $result->message . "</br>";
        }
        return;
    }

    echo "Account created with  id  : " . $result->id;
    echo '<br/>';
    $accountId = $result->id;
    $success = $client->CallAPI(
        $client->host . '/services/restapi/json/Contact/create',
        'POST', array(
        'name' => $_POST['name'],
        'surname' => $_POST['surname'],
        'email' => $_POST['email'],
        'accountId' => $accountId,
    ), array('FailOnAccessError' => true), $result);

    if (!$success) {
        echo HtmlSpecialChars($client->error);
    }
    if (!$result->id) {
        echo "contact request completed with errors  : ";
        if ($result->errors) {
            foreach ($result->errors as $error) {
                echo trim($error->fieldName) . " : " . trim($error->message);
            }
        } else {
            echo $result->message . "</br>";
        }
        return;
    }

    echo "Contact created with  id  : " . $result->id;
    echo '<br/>';
    $contactId = $result->id;
    $valueString = $_POST['value'];
    $LocaleInfo = localeconv();
    $valueString = str_replace("," , ".", $valueString);

    $success = $client->CallAPI(
        $client->host . '/services/restapi/json/Opportunity/create',
        'POST', array(
        'accountId' => $accountId,
        'stateId' =>  $_POST['opportunityState'],
        'currencyId' =>  $_POST['currency'],
        'contactId' => $contactId,
        'value.value' =>$valueString,
        'value.currency' =>'PLN',
        'name' => $_POST['opportunitySubject'],
    ), array('FailOnAccessError' => true), $result);
    if (!$success) {
        echo HtmlSpecialChars($client->error);
    }
    if (!$result->id) {
        echo "Opportunity request completed with errors  : ";
        if ($result->errors) {
            foreach ($result->errors as $error) {
                echo trim($error->fieldName) . " : " . trim($error->message);
            }
        } else {
            echo $result->message . "</br>";
        }
        return;
    }

    echo "Opportunity created with  id  : " . $result->id;
    echo '<br/>';
    //Internal cleanup call
    $success = $client->Finalize($success);
}
/*
 * If the exit variable is true, the script must not output anything
 * else and exit immediately
 */
if ($client->exit)
    exit;

