<?php

require('../config.php');

/* Process the OAuth server interactions */
if (($success = $client->Initialize())) {

    $success = $client->Process();

    $success = $client->CallAPI(
        $client->host .'/services/restapi/json/SelectDictionary/list',
        'POST', array(
            'type' => 'industry',
        ), array('FailOnAccessError' => true), $industryList);

    $success = $client->CallAPI(
        $client->host .'/services/restapi/json/SelectDictionary/list',
        'POST', array(
            'type' => 'relationshipType',
        ), array('FailOnAccessError' => true), $relationshipTypeList);

    $success = $client->CallAPI(
        $client->host .'/services/restapi/json/SelectDictionary/list',
        'POST', array(
        'type' => 'opportunityState',
    ), array('FailOnAccessError' => true), $opportunityStateList);


    $success = $client->CallAPI(
        $client->host .'/services/restapi/json/SelectDictionary/list',
        'POST', array(
        'type' => 'currency',
    ), array('FailOnAccessError' => true), $currencyList);

    $success = $client->Finalize($success);
}
if ($client->exit)
    exit;

if ($success) {

    ?>
    <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
    <html>
    <head>
        <title>OAuth client test</title>
	<link href="../forum-styles.css" rel="stylesheet" type="text/css">
    </head>
    <body>

    <form action="test_oauth_client.php" method="POST" class="basic-grey">
	<h1>Przykładowy formularz tworzący kontrahenta, kontakt i szansę sprzedaży.</h1>
	<h2>Kontakt</h2>
        <label for="name">Imię</label>
        <input type="text" name="name" id="name"/>
        <br/>

        <label for="surname">Nazwisko</label>
        <input type="text" name="surname" id="surname"/>
        <br/>

        <label for="email">Email</label>
        <input type="text" name="email" id="email"/>
        <br/>

	<h2>Kontrahent</h2>
        <label for="companyName">Nazwa Firmy</label>
        <input type="text" name="companyName" id="companyName"/>
        <br/>

        <label for="relationshipType">Rodzaj Kontrahenta (lista pobrana z CRM)</label>
        <select name="relationshipType" id="relationshipType">
            <?php
            foreach ($relationshipTypeList->list as $relationshipType) {
                echo '<option value="'.trim($relationshipType->id).'">'.trim($relationshipType->name).'</option>';
            }
            ?>
        </select>
	<br/>

	<label for="industry">Branża (lista pobrana z CRM)</label>
        <select name="industry" id="industry" >
            <?php
            foreach ($industryList->list as $industry) {
                echo '<option value="'.trim($industry->id).'">'.trim($industry->name).'</option>';
            }
            ?>
        </select>
        <br/>


	<h2>Szansa sprzedaży</h2>
        <label for="opportunitySubject">Temat Szansy Sprzedazy</label>
        <input type="text" name="opportunitySubject" id="opportunitySubject"/>
        <br/>

        <label for="value">Szacowana wartość sprzedaży</label>
        <input type="text" name="value" id="value"/>
        <br/>


        <label for="opportunityState">stan Szansy Sprzeaży (lista pobrana z CRM)</label>
        <select name="opportunityState" id="opportunityState" >
            <?php
            foreach ($opportunityStateList->list as $opportunityState) {
                echo '<option value="'.trim($opportunityState->id).'">'.trim($opportunityState->name).'</option>';
            }
            ?>
        </select>
        <br/>


        <label for="currency">Waluta(lista pobrana z CRM)</label>
        <select name="currency" id="currency" >

            <?php
            foreach ($currencyList->list as $currency) {
                echo '<option value="'.trim($currency->id).'">'.trim($currency->name).'</option>';
            }
            ?>

        </select>
        <br/>

        <button type="submit" value="send" class="button">OK</button>
    </form>

    </body>
    </html>


<?

} else {
    /*
     * If there was an unexpected error, display to the user
     * some useful information
     */
    ?>
    <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
    <html>
    <head>
        <title>OAuth client error</title>
    </head>
    <body>
    <h1>OAuth client error</h1>
    <pre>Error: <?php echo HtmlSpecialChars($client->error); ?></pre>
    </body>
    </html>
<?php
}

?>