<?php

require('../config.php');

/* Process the OAuth server interactions */
if (($success = $client->Initialize())) {

    $success = $client->Process();

    $success = $client->CallAPI(
        $client->host .'/services/restapi/json/SelectDictionary/list',
        'POST', array(
            'type' => 'industry',
        ), array('FailOnAccessError' => true), $industryList);

    $success = $client->CallAPI(
        $client->host .'/services/restapi/json/SelectDictionary/list',
        'POST', array(
            'type' => 'customTitle',
        ), array('FailOnAccessError' => true), $customTitleList);

    $success = $client->Finalize($success);
}
if ($client->exit)
    exit;

if ($success) {

    ?>
    <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
    <html>
    <head>
        <title>OAuth client test</title>
	<link href="../forum-styles.css" rel="stylesheet" type="text/css">
    </head>
    <body>

    <form action="test_oauth_client.php" method="POST" class="basic-grey">
	<h1>Przykładowy formularz Lead trafiający bezpośrednio do systemu Egito CRM.</h1>
        <label for="name">Imię</label>
        <input type="text" name="name" id="name"/>
        <br/>

        <label for="surname">Nazwisko</label>
        <input type="text" name="surname" id="surname"/>
        <br/>

        <label for="companyName">Nazwa Firmy</label>
        <input type="text" name="companyName" id="companyName"/>
        <br/>
        <label for="sp">Szacowana wartość sprzedaży</label>
        <input type="text" name="sp" id="sp"/>
        <br/>
        <label for="industry">Branża (lista pobrana z CRM)</label>
        <select name="industry" id="industry" >
            <?php
            foreach ($industryList->list as $industry) {
                echo '<option value="'.trim($industry->id).'">'.trim($industry->name).'</li>';
            }
            ?>
        </select>
        <br/>
        <label for="customTitle">Temat Kontaktu (lista pobrana z CRM)</label>
        <select name="customTitle" id="customTitle">
            <?php
            foreach ($customTitleList->list as $customTitle) {
                    echo '<option value="'.trim($customTitle->id).'">'.trim($customTitle->name).'</li>';
            }
            ?>
        </select>
	<br/>
        <button type="submit" value="send" class="button">OK</button>
    </form>

    </body>
    </html>


<?

} else {
    /*
     * If there was an unexpected error, display to the user
     * some useful information
     */
    ?>
    <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
    <html>
    <head>
        <title>OAuth client error</title>
    </head>
    <body>
    <h1>OAuth client error</h1>
    <pre>Error: <?php echo HtmlSpecialChars($client->error); ?></pre>
    </body>
    </html>
<?php
}

?>